import { Injectable } from '@angular/core';
import { NbToastrService } from '@nebular/theme';

@Injectable({
    providedIn: 'root'
})
export class NotificationService {

    constructor(private toastrService: NbToastrService) {}

    showSuccess(message: string) {
        this.toastrService.success(null, message, { hasIcon: false, icon: null });
    }

    showError(message: string) {
        this.toastrService.danger(null, message, { hasIcon: false, icon: null });
    }

    showWarning(message: string) {
        this.toastrService.warning(null, message, { hasIcon: false, icon: null });
    }
}