package de.hsrm.sls.subato.courses.unit;

import de.hsrm.sls.subato.courses.course.CourseSummaryDto;
import de.hsrm.sls.subato.courses.event.CourseUnitEventDefinitionDto;
import de.hsrm.sls.subato.user.UserSummaryDto;

import java.util.List;

public class CourseUnitDto {
    private long id;
    private String name;
    private CourseUnitType type;
    private CourseSummaryDto course;
    private List<CourseUnitEventDefinitionDto> eventDefinitions;
    private List<UserSummaryDto> lecturers;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public CourseUnitType getType() {
        return type;
    }

    public void setType(CourseUnitType type) {
        this.type = type;
    }

    public List<CourseUnitEventDefinitionDto> getEventDefinitions() {
        return eventDefinitions;
    }

    public void setEventDefinitions(List<CourseUnitEventDefinitionDto> eventDefinitions) {
        this.eventDefinitions = eventDefinitions;
    }

    public List<UserSummaryDto> getLecturers() {
        return lecturers;
    }

    public void setLecturers(List<UserSummaryDto> lecturers) {
        this.lecturers = lecturers;
    }

    public CourseSummaryDto getCourse() {
        return course;
    }

    public void setCourse(CourseSummaryDto course) {
        this.course = course;
    }
}
