package de.hsrm.sls.subato.solutions.solution;


import de.hsrm.sls.subato.exercises.exercise.ExerciseDto;
import de.hsrm.sls.subato.solutions.comment.SolutionCommentDto;
import de.hsrm.sls.subato.solutions.evaluation.result.EvalResultDetailDto;
import de.hsrm.sls.subato.exercises.submission.SubmissionSummaryDto;
import de.hsrm.sls.subato.shared.fs.FileTreeDto;
import de.hsrm.sls.subato.tasks.task.TaskDetailDto;
import de.hsrm.sls.subato.user.UserSummaryDto;

import java.time.LocalDateTime;
import java.util.List;

public class SolutionDetailDto {
    private long id;
    private UserSummaryDto submittedBy;
    private LocalDateTime submittedAt;
    private ExerciseDto exercise;
    private TaskDetailDto task;
    private FileTreeDto tree;

    private EvalResultDetailDto evalResult;
    private boolean delayed;
    private boolean attemptsExceeded;

    private SubmissionSummaryDto submission;

    private List<SolutionCommentDto> comments;
    private Client submittedWith;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public UserSummaryDto getSubmittedBy() {
        return submittedBy;
    }

    public void setSubmittedBy(UserSummaryDto submittedBy) {
        this.submittedBy = submittedBy;
    }

    public LocalDateTime getSubmittedAt() {
        return submittedAt;
    }

    public void setSubmittedAt(LocalDateTime submittedAt) {
        this.submittedAt = submittedAt;
    }

    public FileTreeDto getTree() {
        return tree;
    }

    public void setTree(FileTreeDto tree) {
        this.tree = tree;
    }

    public EvalResultDetailDto getEvalResult() {
        return evalResult;
    }

    public void setEvalResult(EvalResultDetailDto evalResult) {
        this.evalResult = evalResult;
    }

    public boolean isDelayed() {
        return delayed;
    }

    public void setDelayed(boolean delayed) {
        this.delayed = delayed;
    }

    public boolean isAttemptsExceeded() {
        return attemptsExceeded;
    }

    public void setAttemptsExceeded(boolean attemptsExceeded) {
        this.attemptsExceeded = attemptsExceeded;
    }

    public SubmissionSummaryDto getSubmission() {
        return submission;
    }

    public void setSubmission(SubmissionSummaryDto submission) {
        this.submission = submission;
    }

    public List<SolutionCommentDto> getComments() {
        return comments;
    }

    public void setComments(List<SolutionCommentDto> comments) {
        this.comments = comments;
    }

    public Client getSubmittedWith() {
        return submittedWith;
    }

    public void setSubmittedWith(Client submittedWith) {
        this.submittedWith = submittedWith;
    }

    public ExerciseDto getExercise() {
        return exercise;
    }

    public void setExercise(ExerciseDto exercise) {
        this.exercise = exercise;
    }

    public TaskDetailDto getTask() {
        return task;
    }

    public void setTask(TaskDetailDto task) {
        this.task = task;
    }
}
