package de.hsrm.sls.subato.tasks.stef.parser.text;

import org.commonmark.node.Node;
import org.commonmark.parser.Parser;
import org.commonmark.renderer.html.HtmlRenderer;
import org.springframework.stereotype.Service;

@Service
public class TextMarkdownParser {
    public String convertToHtml(String markdown) {
        Parser parser = Parser.builder().build();
        Node document = parser.parse(markdown);
        HtmlRenderer renderer = HtmlRenderer.builder()
                .attributeProviderFactory(context -> new SyntaxHighlightAttributeProvider())
                .build();
        return renderer.render(document);
    }
}
