package de.hsrm.sls.subato.tasks.task;

import de.hsrm.sls.subato.tasks.feedback.TaskFeedbackStats;
import de.hsrm.sls.subato.tasks.lang.LanguageDto;
import de.hsrm.sls.subato.solutions.evaluation.evaluator.EvaluatorDto;
import de.hsrm.sls.subato.tasks.pool.TaskPoolDto;

public class TaskDetailDto {
    private long id;
    private String name;
    private String idName;
    private String description;
    private String content;
    private Integer attempts;

    private LanguageDto language;

    private EvaluatorDto evaluator;

    private SubmissionMode defaultSubmissionMode;
    private boolean supportsFileSubmissionMode;
    private boolean supportsTextSubmissionMode;

    private TaskPoolDto pool;

    private TaskFeedbackStats feedbackStats;

    private boolean acceptanceTestAvailable;
    private boolean supportedByEclipsePlugin;
    private String repositoryUrl;

    public long getId() {
        return id;
    }

    public String getIdName() {
        return idName;
    }

    public void setIdName(String idName) {
        this.idName = idName;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }

    public String getContent() {
        return content;
    }

    public void setId(long id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getAttempts() {
        return attempts;
    }

    public void setAttempts(Integer attempts) {
        this.attempts = attempts;
    }

    public LanguageDto getLanguage() {
        return language;
    }

    public void setLanguage(LanguageDto language) {
        this.language = language;
    }

    public EvaluatorDto getEvaluator() {
        return evaluator;
    }

    public void setEvaluator(EvaluatorDto evaluator) {
        this.evaluator = evaluator;
    }

    public TaskPoolDto getPool() {
        return pool;
    }

    public void setPool(TaskPoolDto pool) {
        this.pool = pool;
    }

    public TaskFeedbackStats getFeedbackStats() {
        return feedbackStats;
    }

    public void setFeedbackStats(TaskFeedbackStats feedbackStats) {
        this.feedbackStats = feedbackStats;
    }

    public boolean isAcceptanceTestAvailable() {
        return acceptanceTestAvailable;
    }

    public void setAcceptanceTestAvailable(boolean acceptanceTestAvailable) {
        this.acceptanceTestAvailable = acceptanceTestAvailable;
    }

    public SubmissionMode getDefaultSubmissionMode() {
        return defaultSubmissionMode;
    }

    public void setDefaultSubmissionMode(SubmissionMode defaultSubmissionMode) {
        this.defaultSubmissionMode = defaultSubmissionMode;
    }

    public boolean isSupportsFileSubmissionMode() {
        return supportsFileSubmissionMode;
    }

    public void setSupportsFileSubmissionMode(boolean supportsFileSubmissionMode) {
        this.supportsFileSubmissionMode = supportsFileSubmissionMode;
    }

    public boolean isSupportsTextSubmissionMode() {
        return supportsTextSubmissionMode;
    }

    public void setSupportsTextSubmissionMode(boolean supportsTextSubmissionMode) {
        this.supportsTextSubmissionMode = supportsTextSubmissionMode;
    }

    public boolean isSupportedByEclipsePlugin() {
        return supportedByEclipsePlugin;
    }

    public void setSupportedByEclipsePlugin(boolean supportedByEclipsePlugin) {
        this.supportedByEclipsePlugin = supportedByEclipsePlugin;
    }

    public String getRepositoryUrl() {
        return repositoryUrl;
    }

    public void setRepositoryUrl(String repositoryUrl) {
        this.repositoryUrl = repositoryUrl;
    }
}
