package de.hsrm.sls.subato.utils;

import de.hsrm.sls.subato.shared.config.SubatoConfig;
import org.apache.commons.io.FileUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.nio.file.Path;


@Component
public class SubatoDataDirCleanup {
    @Autowired
    SubatoConfig subatoConfig;

    public void exec() {
        try {
            FileUtils.deleteDirectory(Path.of(subatoConfig.getDataDir()).toFile());
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

}
