import { ExerciseProgress } from "./exercise-progress";
import { SubmissionsProgress } from "./submissions-progress";

export class ExerciseProgressResult {
    exerciseProgresses: ExerciseProgress[];
    submissionsProgress: SubmissionsProgress;

    constructor(result: any) {
        this.exerciseProgresses = result.exerciseProgresses.map(p => new ExerciseProgress(p));
        this.submissionsProgress = new SubmissionsProgress(result.submissionsProgress);
    }
}