import { FileTree } from "app/shared/models/file-tree";
import { FileType } from "./file-type";

export class FileRef {
    type: FileType;
    file: FileTree;
    description: string;
    public: boolean;
    path: string;

    constructor(ref: any) {
        this.type = ref.type;
        this.file = new FileTree(ref.file);
        this.description = ref.description;
        this.public = ref.public;
        this.path = ref.path;
    }
}