package de.hsrm.sls.subato.auth.principal;

import de.hsrm.sls.subato.user.User;
import org.mapstruct.Mapper;

@Mapper(componentModel = "spring")
public interface SubatoPrincipalMapper {
    SubatoPrincipal map(User user);

    default CourseStaffMembership map(de.hsrm.sls.subato.courses.membership.CourseStaffMembership m) {
        var t = new CourseStaffMembership();
        t.setCourseId(m.getCourse().getId());
        t.setGroup(m.getGroup());
        return t;
    }

    default CourseUnit map(de.hsrm.sls.subato.courses.unit.CourseUnit m) {
        var t = new CourseUnit();
        t.setId(m.getId());
        t.setCourseId(m.getCourse().getId());
        return t;
    }
}
