package de.hsrm.sls.subato.tasks.imp;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * any unknown failure (file system, io, database) leading to a failed import
 */
public class TaskImportException extends RuntimeException {
    public static final String REASON = "Aufgabe konnte nicht importiert werden";

    public TaskImportException(String message, Throwable cause) {
        super(message, cause);
    }

    public TaskImportException(String message) {
        super(message);
    }

    public TaskImportException(Throwable cause) {
        super(cause);
    }
}
