package de.hsrm.sls.subato.tasks.stef;

import de.hsrm.sls.subato.shared.mime.MimeMapping;
import de.hsrm.sls.subato.solutions.evaluation.evaluator.Evaluator;
import de.hsrm.sls.subato.tasks.lang.Language;
import de.hsrm.sls.subato.tasks.stef.file.FileRef;

import java.util.List;

/**
 * Represents the meta.xml in a STEF specification
 */
public class Meta {
    String id;
    String name;
    String description;
    Integer attempts;
    Long legacyId;
    String language;
    Long evaluator;
    SubmissionModes submissionModes;
    List<FileRef> files;
    List<MimeMapping> mimeMappings;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getAttempts() {
        return attempts;
    }

    public void setAttempts(Integer attempts) {
        this.attempts = attempts;
    }

    public Long getLegacyId() {
        return legacyId;
    }

    public void setLegacyId(Long legacyId) {
        this.legacyId = legacyId;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    public Long getEvaluator() {
        return evaluator;
    }

    public void setEvaluator(Long evaluator) {
        this.evaluator = evaluator;
    }

    public SubmissionModes getSubmissionModes() {
        return submissionModes;
    }

    public void setSubmissionModes(SubmissionModes submissionModes) {
        this.submissionModes = submissionModes;
    }

    public List<FileRef> getFiles() {
        return files;
    }

    public void setFiles(List<FileRef> files) {
        this.files = files;
    }

    public List<MimeMapping> getMimeMappings() {
        return mimeMappings;
    }

    public void setMimeMappings(List<MimeMapping> mimeMappings) {
        this.mimeMappings = mimeMappings;
    }
}
